Loading...
Searching...
No Matches
etl::chrono::month Class Reference

month More...

`#include <month.h>`

## Public Types

using | rep = uint_least8_t

## Public Member Functions

ETL_CONSTEXPR | month () ETL_NOEXCEPT
| Default constructor.
ETL_CONSTEXPR | month (unsigned value_) ETL_NOEXCEPT
| Construct from unsigned.
ETL_CONSTEXPR14 etl::chrono::month & | operator++ () ETL_NOEXCEPT
| Pre-increment operator.
ETL_CONSTEXPR14 etl::chrono::month | operator++ (int) ETL_NOEXCEPT
| Post-increment operator.
ETL_CONSTEXPR14 etl::chrono::month & | operator-- () ETL_NOEXCEPT
| Pre-decrement operator.
ETL_CONSTEXPR14 etl::chrono::month | operator-- (int) ETL_NOEXCEPT
| Post-decrement operator.
ETL_CONSTEXPR14 etl::chrono::month & | operator+= (const etl::chrono::months &ms) ETL_NOEXCEPT
| Plus-equals operator adding etl::chrono::months.
ETL_CONSTEXPR14 etl::chrono::month & | operator-= (const etl::chrono::months &ms) ETL_NOEXCEPT
| Minus-equals operator subtracting etl::chrono::months.
ETL_NODISCARD ETL_CONSTEXPR14 bool | ok () const ETL_NOEXCEPT
| Returns true if the month is within the valid 1 to 12 range.
ETL_NODISCARD ETL_CONSTEXPR14 int | compare (const month &other) const ETL_NOEXCEPT
ETL_CONSTEXPR14 | operator unsigned () const ETL_NOEXCEPT
| Conversion operator to unsigned int.

## Detailed Description

month

## Member Function Documentation

## compare()

ETL_NODISCARD ETL_CONSTEXPR14 int etl::chrono::month::compare | ( | const month & | other | ) | const

inline

Compare month with another. if month < other, returns -1 else if month > other, returns 1 else returns 0

The documentation for this class was generated from the following file:

- include/etl/private/chrono/month.h